#1670 closed defect (wontfix)

IO driver unregister is problematic

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

IO drivers will be registered with rtems_io_register_driver() and unregistered with rtems_io_unregister_driver(). User typically access the drivers via the file system. Some drivers have other users e.g. the block device cache (bdbuf). Now we have the problem that nobody knows if a driver is in use by someone. This is problematic if drivers come and go during the system lifetime for example in case of removable media (USB sticks). Currently it is possible that the driver changes during two read() or write() calls. We have to introduce some sort of reference counting. A simple approach is provided by the attached patch.

Attachments (1)

iodriver.patch (6.4 KB) - added by Sebastian Huber on Aug 11, 2010 at 11:35:16 AM.
IO driver with reference counting.

Download all attachments as: .zip

Change History (3)

Changed on Aug 11, 2010 at 11:35:16 AM by Sebastian Huber

Attachment: iodriver.patch added

IO driver with reference counting.

comment:1 Changed on Mar 13, 2012 at 11:37:31 AM by Sebastian Huber

Resolution: wontfix
Status: newclosed

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.